namespace Femto.Modules.Blog.Domain.Posts;

internal class PostComment
{
    public Guid Id { get; private set; }
    public Guid AuthorId { get; private set; }
    public DateTimeOffset CreatedAt { get; private set; }
    public string Content { get; private set; }
    
    private PostComment() {}

    public PostComment(Guid authorId, string content)
    {
        this.Id = Guid.CreateVersion7();
        this.AuthorId = authorId;
        this.Content = content;
        this.CreatedAt = TimeProvider.System.GetUtcNow();
    }
}